[SOLVED] [ERROR] [core.karaf.internal.FeatureInstaller] - Failed installing 'openhab-misc-restdocs'

Hi,

after updating from 2.4 to 2.5 stable on openhabian, I’m getting this error:
[ERROR] [core.karaf.internal.FeatureInstaller] - Failed installing ‘openhab-misc-restdocs’

My addons.config:
action=“mail,xbmc,telegram”
binding=“avmfritz,http1,exec,tinkerforge1,wol1,zwave,fritzbox1,fritzboxtr0641,network,kodi,astro,amazonechocontrol,gpstracker,panasonictv1,mqtt,openweathermap”
felix.fileinstall.filename=“file:/var/lib/openhab2/etc/org.openhab.addons.cfg”
legacy=B"true"
misc=“restdocs,openhabcloud,hueemulation”
package=“expert”
persistence=“rrd4j,mapdb”
remote=B"true"
service.pid=“org.openhab.addons”
transformation=“map,regex,xslt,exec,javascript,scale,xpath,jsonpath”
ui=“classic,basic,paper,habpanel,habmin”

Anyone an idea how i can fix it?

Yes, if you had read the update info when you updated you would have noticed that the rest-docs have move to UI.

Please use code fences when posting code

misc="openhabcloud,hueemulation"
ui="classic,basic,paper,habpanel,habmin,restdocs"
1 Like

OK, I reinstalled restdocs via PaperUI, seems to work now.
I have two entries now:
:org.apache.felix.configadmin.revision:=L"3"
action=“mail,xbmc,telegram”
binding=“avmfritz,http1,exec,tinkerforge1,wol1,fritzbox1,fritzboxtr0641,network,kodi,astro,amazonechocontrol,gpstracker,panasonictv1,mqtt,openweathermap,zwave”
felix.fileinstall.filename=“file:/var/lib/openhab2/etc/org.openhab.addons.cfg”
legacy=B"true"
misc=“restdocs,openhabcloud,hueemulation”
package=“expert”
persistence=“rrd4j,mapdb”
remote=B"true"
service.pid=“org.openhab.addons”
transformation=“map,regex,xslt,exec,javascript,scale,xpath,jsonpath”
ui=“classic,basic,paper,habpanel,habmin,restdocs

Should I delete that one manually?
misc=“restdocs,openhabcloud,hueemulation”

Did you actually read my post?

yes, but i don’t understand :wink:
Should I delete
misc=“ restdocs ,openhabcloud,hueemulation”

?

Read my post, all of it…

1 Like

Yes - Thats what Vincent told (and showed) to you in his first post…

He also told you to use code fences in his first post. He even provided the link which explain why and how. And yet you continue not to use code fences.

Thats probably why he asked if you´d read his post. You certainly did NOT read that part.

OK, removed the entry, now ok
Thanks!!!

Please tick the solution, thanks

Another thing… It’s really easy to edit own postings. This way you could add code fences :wink:

Honestly openHAB has become so frustrating I don’t know what to say.
I had the same problem and error message after upgrading to 2.5 with a stock addons.cfg with no changes in it.

After replacing stock addons.cfg with this:

misc="openhabcloud,hueemulation"
ui="classic,basic,paper,habpanel,habmin,restdocs"

The log showed errors of installing the addons.
Now I want to remove and revert back to stock addons.cfg and now this error comes still although I deleted the cache and rebooted:

2019-12-27 12:48:54.186 [ERROR] [core.karaf.internal.FeatureInstaller] - Failed installing ‘openhab-misc-“openhabcloud, openhab-ui-“classic, openhab-misc-hueemulation”, openhab-ui-restdocs”’

Help is appreciated :slight_smile:

If the error appear after first reboote, let things settle for a few minutes. After these few minutes, make a new reboot (without clearing the cache).

If the errors still continues to appear after two rebootes (maybe three, which I have seen another mention), I would assume there are other issues going on… Perhaps remove everything from the addons.cfg which aren´t needed to at least startup correctly…
Also this could be a harddrive/SD card issue as well. If the Harddrive/SD card/SSD or whatever you use have some issues, things could have gone wrong long time ago.

These are my best suggestions… I understand your frustrations fully!

1 Like

I just had this same problem today. If you haven’t yet, try using the edited addons.cfg file without the quotes:

misc=openhabcloud,hueemulation
ui=classic,basic,paper,habpanel,habmin,restdocs

Worked for me. Good luck!

I have the same issue but different circumstances,
never had the rest-api documentation installed on 2.4, upgraded to 2.5
Get the error:

[ERROR] [core.karaf.internal.FeatureInstaller] - Failed installing 'openhab-misc-restdocs'

In my logs, checked my addons.cgf under /etc/openhab2 just to see that it i empty, never used those files before, i do everything through Paper UI except rules.
Any ideas how to fix it in this case?
I tried installing / uninstalling the doc through PaperUI, the error persits

Same for me, addons.cfg is empty, never enabled or used the rest api… And I get the same issue:

2020-01-12 18:40:33.668 [ERROR] [core.karaf.internal.FeatureInstaller] - Failed installing ‘openhab-misc-restdocs’

Note that I looked at my logs because several of my rules are now very slow to be triggered (since I moved to 2.5) so I start by getting rid of any error I observe in the logs.

Same issue with my installation (I missed to deinstall before update … should read before action).

2020-01-21 11:13:51.036 [ERROR] [core.karaf.internal.FeatureInstaller] - Failed installing 'openhab-misc-restdocs'
2020-01-21 11:14:39.758 [ERROR] [core.karaf.internal.FeatureInstaller] - Failed installing 'openhab-misc-restdocs'
2020-01-21 11:15:34.333 [ERROR] [core.karaf.internal.FeatureInstaller] - Failed installing 'openhab-misc-restdocs'
2020-01-21 11:16:27.551 [ERROR] [core.karaf.internal.FeatureInstaller] - Failed installing 'openhab-misc-restdocs'

clean-cache and reboot did not solve it. What can be done? I would like to avoid a roll back of the update.

following solution found in another thread: [SOLVED] Zwave repeatedly initialized
Check the 2nd addons.config file: /var/lib/openhab2/config/org/openhab/addons.config.
Now my system is running smooth.

1 Like

Thank you, that actually fixed it,
can someone explain though why this is an issue even when the restdocs have never been utilized before?

Thanks, had the same problem here. Im running OpenHab on a MAC and the path for me is ‘\openhab-2\userdata\config\org\openhab’.

It looks like it work fine now